require 'rest-client'
require 'json'

require_relative './authful/endpoint'
require_relative './authful/api'
require_relative './authful/response'

module Authful
  include Authful::Endpoint
  include Authful::Api

  module Errors
    class IncorrectApiToken < RuntimeError; end
    class InvalidUserToken < RuntimeError; end
    class InvallidOtpToken < RuntimeError; end
    class InvallidRecoveryCode < RuntimeError; end
    class AlreadyEnrolled < RuntimeError; end
  end
end
